//+------------------------------------------------------------------+
//|                                                eFloatNumbers.mqh |
//|                             Copyright (c) 2009, Vladimir Gomonov |
//|                                            MetaDriver@rambler.ru |
//+------------------------------------------------------------------+
#property copyright "(c) 2009, Vladimir Gomonov"
#property link      "MetaDriver@rambler.ru"
  
//------------  enum types definitions  -------------

enum eFloat01    //  signed float enum: -100.0 .. 100.0
  {
#include <\Enums\efNumbers01.mqh>
  };
  
enum euFloat01   //  unsigned float enum: 0.0 .. 100.0 
  {
#include <\Enums\eufNumbers01.mqh>
  };

  
enum eFloat001    //  signed float enum: -10.00 .. 10.00
  {
#include <\Enums\efNumbers001.mqh>
  };
  
enum euFloat001   //  unsigned float enum: 0.00 .. 10.00 
  {
#include <\Enums\eufNumbers001.mqh>
  };
 
  
enum eFloat0001    //  signed float enum: -1.000 .. 1.000
  {
#include <\Enums\efNumbers0001.mqh>
  };
  
enum euFloat0001   //  unsigned float enum: 0.000 .. 1.000 
  {
#include <\Enums\eufNumbers0001.mqh>
  };
  
//--------  conversion to double functions  ----------

double eFloatToDouble(eFloat01 a)
  {
   return (double)a/10.0; 
  }

double eFloatToDouble(euFloat01 a)
  {
   return (double)a/10.0; 
  }

double eFloatToDouble(eFloat001 a)
  {
   return (double)a/100.0; 
  }

double eFloatToDouble(euFloat001 a)
  {
   return (double)a/100.0; 
  }

double eFloatToDouble(eFloat0001 a)
  {
   return (double)a/1000.0; 
  }

double eFloatToDouble(euFloat0001 a)
  {
   return (double)a/1000.0; 
  }



 
 
  
